> ## Documentation Index
> Fetch the complete documentation index at: https://docs.techslayers.ca/llms.txt
> Use this file to discover all available pages before exploring further.

# Start scan (POST)

> Initiate a scan using multipart form data.

# Start scan (POST)

Initiates a scan. Requires `url` and accepts an optional `mode`.

## Fields

* `url` (required): target URL to scan
* `mode` (optional): `normal` or `aggressive` (defaults to `normal` if omitted)


## OpenAPI

````yaml openapi/rtswpscan.json POST /scan
openapi: 3.0.0
info:
  title: RTS WPScan API
  description: RTS WPScan API for performing WordPress scans and retrieving reports
  version: '1.0'
servers:
  - url: https://rtswpscan.slayers.tech
security: []
paths:
  /scan:
    post:
      summary: Initiate a new scan
      requestBody:
        content:
          application/x-www-form-urlencoded:
            schema:
              type: object
              properties:
                url:
                  description: URL to scan
                  type: string
                mode:
                  description: 'Mode of scanning: normal or aggressive (normal if empty)'
                  type: string
              required:
                - url
        required: true
      responses:
        '200':
          description: Scan initiated successfully
          content:
            '*/*':
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: success
                  scan_id:
                    type: string
                    example: unique_report_id
        '401':
          description: Unauthorized
          content:
            '*/*':
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Unauthorized
      security:
        - APIKeyHeader: []
components:
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      name: API-Key
      in: header

````